Bug 474198 - e_powersaver/cpufreq spontaneously resets frequency scaling ranges
e_powersaver/cpufreq spontaneously resets frequency scaling ranges
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 13:41 EST by Amin Astaneh
Modified: 2009-12-18 02:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:06:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output (62.39 KB, text/plain)
2008-12-05 09:46 EST, Amin Astaneh
no flags Details

  None (edit)
Description Amin Astaneh 2008-12-02 13:41:04 EST
#################################################
Description of problem:
#################################################
I loaded Fedora 10 on my Sylvania G (read: cloudbook) which uses a c7-m CPU. Many cloudbook users complain that when the e_powersaver module scales the CPU to 400MHz, the system enters an unstable state where the keyboard/touchpad no longer is responsive. The current known workaround is to manually set the minimum scale frequency in cpufreq to avoid the problem. I put this in an init script(anything as low as 500MHz is fine also):

echo 700000 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq

Many people say this works fine, but I am having trouble. A short time after the system boots, cpufreq resets the ceiling and floor frequencies. 

cpufreq-info reports:

current policy: frequency should be within 480 MHz and 500MHz.

Soon after, the system enters that dreaded state and a USB keyboard is required to reboot the machine. It doesn't matter which cpufreq governor I use or what frequencies I set using cpufreq-set.

Furthermore, if I try to reset the frequencies after this reset, I get this error:

[root@ronin ~]# cpufreq-set -d 700MHz
Error setting new values. Common errors:
- Do you have proper administration rights? (super-user?)
- Is the governor you requested available and modprobed?
- Trying to set an invalid policy?
- Trying to set a specific frequency, but userspace governor is not available,
   for example because of hardware which cannot be set to a specific frequency
   or because the userspace governor isn't loaded?

##############################################################
Version-Release number of selected component (if applicable):
##############################################################
cpufrequtils-005-1.fc10.i386
kernel-2.6.27.5-117

##################
How reproducible:
##################
Always

####################
Steps to Reproduce:
####################
0. Install Fedora 10 on a Cloudbook 
1. Create an Initscript that resets the minimum scaling frequency:
echo 700000 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_min_freq
2. Reboot

Actual results:
The frequency range gets reset to 480-500MHz.
Machine rendered unable to accept input from keyboard/touchpad.

Expected results:
The frequency range remains at the set value.

Additional info:
Comment 1 Amin Astaneh 2008-12-02 15:35:58 EST
I looked through dmesg, /var/log/messages, and /var/log/Xorg.0.log. No log entries indicate any error related to this behavior.
Comment 2 Dave Jones 2008-12-04 20:23:13 EST
can you boot with cpufreq.debug=7 and repeat the above, and then attach the output of dmesg ? thanks.
Comment 3 Amin Astaneh 2008-12-05 09:46:14 EST
Created attachment 325850 [details]
dmesg output

dmesg output from system with kernel cheatcode cpufreq.debug=7, e_powersaver scaling module, ondemand governor, and minimum scaling frequency=600MHz.
Comment 4 Amin Astaneh 2008-12-05 09:50:20 EST
Also, with recent tinkering, I discovered the same results were observed with the acpi_cpufreq scaling driver.
Comment 5 Amin Astaneh 2008-12-08 10:40:44 EST
I also tried configuring the cpuspeed service in /etc/sysconfig/cpuspeed thinking it perhaps might handle the processor scaling more effectively. No effect.
Comment 6 Bug Zapper 2009-11-18 05:16:25 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:06:09 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.